plzip-1.8-1.2.x86_64.rpm


Advertisement

Description

plzip - Parallel LZMA Data Compressor

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename plzip-1.8-1.2.x86_64.rpm
Package name plzip
Package version 1.8
Package release 1.2
Package architecture x86_64
Package type rpm
Category Productivity/Archiving/Compression
Homepage http://www.nongnu.org/lzip/plzip.html
License GPL-2.0-or-later
Maintainer -
Download size 67.25 KB
Installed size 123.38 KB
Plzip is a parallel version of the lzip data compressor. The files
produced by plzip are fully compatible with lzip-1.4 or newer. Plzip
is intended for faster compression/decompression of big files on
multiprocessor machines.
Lzip is a lossless data compressor based on the LZMA algorithm, with
very safe integrity checking and a user interface similar to the one
of gzip or bzip2. Lzip decompresses almost as fast as gzip and
compresses better than bzip2, which makes it well suited for software
distribution and data archiving.

Alternatives

Package Version Architecture Repository
plzip-1.8-1.2.i586.rpm 1.8 i586 openSUSE Oss
plzip - - -

Requires

Name Value
info -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
liblz.so.1()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -

Provides

Name Value
plzip = 1.8-1.2
plzip(x86-64) = 1.8-1.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package plzip-1.8-1.2.x86_64.rpm
Source Package plzip-1.8-1.2.src.rpm

Install Howto

Install plzip rpm package:

# zypper install plzip

Files

Path
/usr/bin/plzip
/usr/share/doc/packages/plzip/AUTHORS
/usr/share/doc/packages/plzip/COPYING
/usr/share/doc/packages/plzip/ChangeLog
/usr/share/doc/packages/plzip/NEWS
/usr/share/doc/packages/plzip/README
/usr/share/info/plzip.info.gz
/usr/share/man/man1/plzip.1.gz

Changelog

2019-01-07 - Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.8
* No functional changes; just a version bump.
2018-12-14 - Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.8~rc1
* The new options '--in-slots' and '--out-slots', setting the
number of input and output packets buffered during streamed
decompression, have been added. Increasing the number of
packets may increase decompression speed, but requires more
memory.
* The default number of input packets buffered per worker
thread when decompressing from non-seekable input has been
increased from 2 to 4.
* The default number of output packets buffered per worker
thread when decompressing to non-seekable output has been
increased from 32 to 64.
* Detection of forbidden combinations of characters in trailing
data has been improved.
2018-03-05 - jengelh@inai.de
- Update to new upstream release 1.7
* The option "--loose-trailing" has been added.
* The test used by clzip to discriminate trailing data from a
corrupt header in multimember or concatenated files has been
improved to a Hamming distance of 3.
2017-05-11 - mpluskal@suse.com
- Update to version 1.6:
* The option '-l, --list' has been ported from lziprecover.
* It is now an error to specify two or more different operations
in the command line (--decompress, --list or --test).
* In test mode, plzip now continues checking the rest of the
files if any input file is a terminal.
- Update dependecies and sections for info file handling
2016-08-20 - jengelh@inai.de
- Update to new upstream release 1.5
* The option "-a, --trailing-error", which makes plzip exit with
error status 2 if any remaining input is detected after
decompressing the last member, has been added.
* When decompressing, the file specified with the "--output" option
is now deleted if the input is a terminal.
2015-08-06 - jengelh@inai.de
- Update to new upstream release 1.4
* The option "-0" has been modified to use the new fast encoder of
lzlib 1.7, which achieves a compression speed and ratio
comparable to those of pigz's default compression level.
2015-02-08 - jengelh@inai.de
- Update to new upstream release 1.3
* Testing of a non-seekable file or of standard input now uses up
to 30 MiB less memory per thread.
* "-dvvv" and "-tvvv" now show the dictionary size of the first
member, producing the same output as lzip for single-member
files.
2014-10-01 - jengelh@inai.de
- Update to new upstream release 1.2
* Copying of file dates, permissions, and ownership now behaves
like `cp -p`. (If the user ID or the group ID cannot be
duplicated, the file permission bits S_ISUID and S_ISGID are
cleared).
* Individual limits have been set on the number of packets produced
by each decompresor worker thread to limit the amount of memory
used in all cases.
* The license has been changed to GPL version 2 or later.
2014-09-23 - jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
the local source validator
2013-09-29 - jengelh@inai.de
- Update to new upstream release 1.1
* Plzip now shows the progress of compression at verbosity
level 2 (-vv).

See Also

Package Description
pmacct-1.7.2-1.2.i586.rpm Accounting and aggregation toolsuite for IPv4 and IPv6
pmacct-1.7.2-1.2.x86_64.rpm Accounting and aggregation toolsuite for IPv4 and IPv6
pmdk-1.5-2.1.x86_64.rpm Persistent Memory Development Kit
pmdk-convert-1.5.1-2.1.x86_64.rpm PMDK pool conversion tool
pmdk-devel-doc-1.5-2.1.x86_64.rpm Man pages for the libpmem C API
pmdk-tools-1.5-2.1.x86_64.rpm Utilities for Persistent Memory
pmidi-1.7.0-3.12.i586.rpm A Command Line MIDI Player for ALSA
pmidi-1.7.0-3.12.x86_64.rpm A Command Line MIDI Player for ALSA
png++-devel-0.2.9-1.5.noarch.rpm C++ wrapper for libpng library
pngcheck-2.3.0-6.14.i586.rpm PNG file format checker
pngcheck-2.3.0-6.14.x86_64.rpm PNG file format checker
pngcrush-1.8.13-1.3.i586.rpm Optimizer for PNG Files that can also insert or delete specified Chunks
pngcrush-1.8.13-1.3.x86_64.rpm Optimizer for PNG Files that can also insert or delete specified Chunks
pnglite-devel-0.1.17-1.5.i586.rpm Files needed to build and link programs with pnglite
pnglite-devel-0.1.17-1.5.x86_64.rpm Files needed to build and link programs with pnglite
Advertisement
Advertisement